
QGIS Application - Bug report #16887

creating a memory scratch layer with Z/M values does not add Z/M to the layer

2017-07-19 08:22 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24786

Description

In master, 

use create new layer/New temporary scratch layer

then choose a point type and check Z/M option.

Add a point, and open the node editor panel using the node tool / right clic

No Z/M column are displayed, and I often get a crash at this step

Associated revisions

Revision 233f25ab - 2017-08-25 05:27 AM - Nyall Dawson

Merge pull request #5061 from nouanda/fix16887

Fix #16887: creating a memory scratch layer with Z/M values does not add Z/M to the layer

History

#1 - 2017-07-19 10:35 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#2 - 2017-07-24 05:14 PM - C M

Pull request proposition: https://github.com/qgis/QGIS/pull/4919

#3 - 2017-08-25 05:26 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|233f25abd929f3621f7dde3a4c03dddb0977e71a.

2025-04-27 1/1

https://github.com/qgis/QGIS/pull/4919

